#pragma once

#include <string>
#include "imgui.h"

extern int init_imgui();
extern void configure_imgui(ImGuiIO& io);
extern bool imgui_new_frame();
extern void draw_imgui(float delta_time);
extern void render_imgui();
extern void shutdown_imgui();
extern float get_dpi_scale();

extern void tick_imgui(float delta_time);

extern void run_imgui();

extern std::string get_window_title();
